@import "../../SASS/variables.scss";
@import "../../SASS/mixins.scss";

.footer,
.footerLoading {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  animation-name: footerAnimation;
  animation-duration: 0.5s;
  background-color: $footer-background;
  padding: 40px 25px;
  .inputContent,
  .buttonContent {
    max-width: 960px;
    margin: 0 auto;
    padding: 0 24px;
  }
  .buttonContent {
    @include flex(unset, center, center);
  }
}

.footerLoading {
  animation-name: onLoading;
  animation-duration: 0.5s;
}

@keyframes footerAnimation {
  from {
    bottom: -500px;
  }
  to {
    bottom: 0;
  }
}

@keyframes onLoading {
  from {
    bottom: 0;
  }
  to {
    bottom: -500px;
  }
}

@media only screen and (max-width: 768px) {
  .footer {
    padding: 0;
    .inputContent {
      padding: 12px;
    }
    .buttonContent {
      padding: 0;
    }
  }
}
